Class | Tk::Tcllib::Widget::ScreenRuler
In: | tk/lib/tkextlib/tcllib/screenruler.rb
Parent: | TkWindow

### Methods

display hide package_name package_version show

### Constants

PACKAGE_NAME | = | 'widget::ruler'.freeze
TkCommandNames | = | ['::widget::screenruler'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/screenruler.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/screenruler.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::screenruler')
            rescue
              ''
            end
          end

### Public Instance methods

display()

[Source]

    # File tk/lib/tkextlib/tcllib/screenruler.rb, line 58
      def display
        tk_send('display')
        self
      end

hide()

[Source]

    # File tk/lib/tkextlib/tcllib/screenruler.rb, line 64
      def hide
        tk_send('hide')
        self
      end

show()

Alias for display

[Validate]